Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class PostLoginProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.security.PostLoginProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class PostLoginProcessor
extends AbstractPortalProcessor

This post processor is the last mandatory processor to run in the login chain.

This processor will use the ProfileIdentity in the PortalSession to initialize the Profile in the HttpSession (via `SessionHelper`).

This processor can be extended and/or substituted with one of your own implementations. When this processor is run you are guaranteed to be logged in and have a group assigned. This processor always dipatches the `SessionLoginEvent` `TrackingEventHelper` This action is required by WebLogic Personalization Server and Campaign Manager for WebLogic to work correctly within a portal login.

See Also:
  `UserProcessor`

Constructor Summary
`PostLoginProcessor()` Deprecated.

Method Summary
`void` | `dispatchSessionLoginEvent(HttpServletRequest request)` Deprecated. This method is called by the process() method to dispatch the SessionLoginEvent To disable this functionality override this class end provide a null implementation for this method.
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. The main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostLoginProcessor

    public PostLoginProcessor()

  Deprecated.

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  The main process method called by webflow.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    "user.create" if we got here from a new user creation or "user.login" if it was a simple login. This processor determines if a new user was created be seeing if the request attribute `SecurityConstants.USER_CREATE` was set to "true" by the UserProcessor.
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

### dispatchSessionLoginEvent

    public void dispatchSessionLoginEvent(HttpServletRequest request)

  Deprecated.
  This method is called by the process() method to dispatch the SessionLoginEvent To disable this functionality override this class end provide a null implementation for this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved